package de.ivu.elect.jee.memory;

import java.io.Serializable;

public class MemoryData implements Serializable {

  private final long max;
  private final long comitted;
  private final long used;

  public MemoryData(long max, long comitted, long used) {
    this.max = max;
    this.comitted = comitted;
    this.used = used;
  }

  public long getMax() {
    return max;
  }

  public long getComitted() {
    return comitted;
  }

  public long getUsed() {
    return used;
  }

  @Override
  public String toString() {
    return "MemoryData{" +
        "max=" + max +
        ", comitted=" + comitted +
        ", used=" + used +
        '}';
  }
}
